/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridAppendRowsOnDemandFeature extends Feature<IgGridAppendRowsOnDemand> {
    constructor(el: ElementRef);
    /**
     * Destroys the append rows on demand widget
     */
    destroy(): void;
    /**
     * Loads the next chunk of data.
     */
    nextChunk(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridAppendRowsOnDemandFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridAppendRowsOnDemandFeature, "append-rows-on-demand", never, { "type": "type"; "chunkSize": "chunkSize"; "recordCountKey": "recordCountKey"; "chunkSizeUrlKey": "chunkSizeUrlKey"; "chunkIndexUrlKey": "chunkIndexUrlKey"; "defaultChunkIndex": "defaultChunkIndex"; "currentChunkIndex": "currentChunkIndex"; "loadTrigger": "loadTrigger"; "loadMoreDataButtonText": "loadMoreDataButtonText"; }, { "rowsRequesting": "rowsRequesting"; "rowsRequested": "rowsRequested"; }, never, never, false>;
}
