/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridTooltipsFeature extends Feature<IgGridTooltips> {
    constructor(el: ElementRef);
    /**
     * Destroys the tooltip widget.
     */
    destroy(): void;
    /**
     * Returns the ID of the parent div element bounding the ruler and the tooltip container
     */
    id(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridTooltipsFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridTooltipsFeature, "tooltips", never, { "disabled": "disabled"; "create": "create"; "visibility": "visibility"; "style": "style"; "showDelay": "showDelay"; "hideDelay": "hideDelay"; "columnSettings": "columnSettings"; "fadeTimespan": "fadeTimespan"; "cursorLeftOffset": "cursorLeftOffset"; "cursorTopOffset": "cursorTopOffset"; "inherit": "inherit"; }, { "tooltipShowing": "tooltipShowing"; "tooltipShown": "tooltipShown"; "tooltipHiding": "tooltipHiding"; "tooltipHidden": "tooltipHidden"; }, never, never, false>;
}
