/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgQRCodeBarcodeComponent extends IgControlBase<IgQRCodeBarcode> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    option(): void;
    /**
     * Returns information about how the barcode is rendered.
     */
    exportVisualData(): object;
    /**
     * Causes all pending changes of the barcode e.g. by changed property values to be rendered immediately.
     */
    flush(): void;
    /**
     * Destroys widget.
     */
    destroy(): void;
    /**
     * Re-polls the css styles for the widget. Use this method when the css styles have been modified.
     */
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgQRCodeBarcodeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgQRCodeBarcodeComponent, "ig-q-r-code-barcode", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "backingBrush": "backingBrush"; "backingOutline": "backingOutline"; "backingStrokeThickness": "backingStrokeThickness"; "barBrush": "barBrush"; "fontBrush": "fontBrush"; "font": "font"; "data": "data"; "errorMessageText": "errorMessageText"; "stretch": "stretch"; "barsFillMode": "barsFillMode"; "widthToHeightRatio": "widthToHeightRatio"; "xDimension": "xDimension"; "errorCorrectionLevel": "errorCorrectionLevel"; "sizeVersion": "sizeVersion"; "encodingMode": "encodingMode"; "eciNumber": "eciNumber"; "eciHeaderDisplayMode": "eciHeaderDisplayMode"; "fnc1Mode": "fnc1Mode"; "applicationIndicator": "applicationIndicator"; }, { "errorMessageDisplaying": "errorMessageDisplaying"; "dataChanged": "dataChanged"; }, never, ["*"], false>;
}
