/// <reference types="ignite-ui" />
import { IterableDiffers, ElementRef, KeyValueDiffers, ChangeDetectorRef, Renderer2 } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgRadialMenuComponent extends IgControlBase<IgRadialMenu> {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    itemOption(itemKey: object, key: object, value: object): void;
    exportVisualData(): void;
    flush(): void;
    destroy(): void;
    styleUpdated(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgRadialMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgRadialMenuComponent, "ig-radial-menu", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "items": "items"; "currentOpenMenuItemName": "currentOpenMenuItemName"; "centerButtonContentWidth": "centerButtonContentWidth"; "centerButtonContentHeight": "centerButtonContentHeight"; "centerButtonClosedFill": "centerButtonClosedFill"; "centerButtonClosedStroke": "centerButtonClosedStroke"; "centerButtonFill": "centerButtonFill"; "centerButtonHotTrackFill": "centerButtonHotTrackFill"; "centerButtonHotTrackStroke": "centerButtonHotTrackStroke"; "centerButtonStroke": "centerButtonStroke"; "centerButtonStrokeThickness": "centerButtonStrokeThickness"; "font": "font"; "isOpen": "isOpen"; "menuBackground": "menuBackground"; "menuItemOpenCloseAnimationDuration": "menuItemOpenCloseAnimationDuration"; "menuItemOpenCloseAnimationEasingFunction": "menuItemOpenCloseAnimationEasingFunction"; "menuOpenCloseAnimationDuration": "menuOpenCloseAnimationDuration"; "menuOpenCloseAnimationEasingFunction": "menuOpenCloseAnimationEasingFunction"; "minWedgeCount": "minWedgeCount"; "outerRingFill": "outerRingFill"; "outerRingThickness": "outerRingThickness"; "outerRingStroke": "outerRingStroke"; "outerRingStrokeThickness": "outerRingStrokeThickness"; "rotationInDegrees": "rotationInDegrees"; "rotationAsPercentageOfWedge": "rotationAsPercentageOfWedge"; "wedgePaddingInDegrees": "wedgePaddingInDegrees"; "pixelScalingRatio": "pixelScalingRatio"; }, { "formatLabel": "formatLabel"; "alignLabel": "alignLabel"; "valueChanged": "valueChanged"; }, never, ["*"], false>;
}
