/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgSparklineComponent extends IgControlBase<IgSparkline> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    ngOnInit(): void;
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgSparklineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgSparklineComponent, "ig-sparkline", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "tooltipTemplate": "tooltipTemplate"; "maxRecCount": "maxRecCount"; "dataSource": "dataSource"; "dataSourceType": "dataSourceType"; "dataSourceUrl": "dataSourceUrl"; "responseTotalRecCountKey": "responseTotalRecCountKey"; "responseDataKey": "responseDataKey"; "brush": "brush"; "negativeBrush": "negativeBrush"; "markerBrush": "markerBrush"; "negativeMarkerBrush": "negativeMarkerBrush"; "firstMarkerBrush": "firstMarkerBrush"; "lastMarkerBrush": "lastMarkerBrush"; "highMarkerBrush": "highMarkerBrush"; "lowMarkerBrush": "lowMarkerBrush"; "trendLineBrush": "trendLineBrush"; "horizontalAxisBrush": "horizontalAxisBrush"; "verticalAxisBrush": "verticalAxisBrush"; "normalRangeFill": "normalRangeFill"; "horizontalAxisVisibility": "horizontalAxisVisibility"; "verticalAxisVisibility": "verticalAxisVisibility"; "markerVisibility": "markerVisibility"; "negativeMarkerVisibility": "negativeMarkerVisibility"; "firstMarkerVisibility": "firstMarkerVisibility"; "lastMarkerVisibility": "lastMarkerVisibility"; "lowMarkerVisibility": "lowMarkerVisibility"; "highMarkerVisibility": "highMarkerVisibility"; "normalRangeVisibility": "normalRangeVisibility"; "displayNormalRangeInFront": "displayNormalRangeInFront"; "markerSize": "markerSize"; "firstMarkerSize": "firstMarkerSize"; "lastMarkerSize": "lastMarkerSize"; "highMarkerSize": "highMarkerSize"; "lowMarkerSize": "lowMarkerSize"; "negativeMarkerSize": "negativeMarkerSize"; "lineThickness": "lineThickness"; "valueMemberPath": "valueMemberPath"; "labelMemberPath": "labelMemberPath"; "trendLineType": "trendLineType"; "trendLinePeriod": "trendLinePeriod"; "trendLineThickness": "trendLineThickness"; "normalRangeMinimum": "normalRangeMinimum"; "normalRangeMaximum": "normalRangeMaximum"; "displayType": "displayType"; "unknownValuePlotting": "unknownValuePlotting"; "verticalAxisLabel": "verticalAxisLabel"; "horizontalAxisLabel": "horizontalAxisLabel"; "formatLabel": "formatLabel"; "pixelScalingRatio": "pixelScalingRatio"; }, { "dataBinding": "dataBinding"; "dataBound": "dataBound"; "updateTooltip": "updateTooltip"; "hideTooltip": "hideTooltip"; }, never, ["*"], false>;
}
