/// <reference types="ignite-ui" />
import { Feature } from '../feature';
import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class IgGridResponsiveFeature extends Feature<IgGridResponsive> {
    constructor(el: ElementRef);
    /**
     * Destroys the responsive widget.
     */
    destroy(): void;
    /**
     * Returns the currently active responsive mode.
     */
    getCurrentResponsiveMode(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgGridResponsiveFeature, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IgGridResponsiveFeature, "responsive", never, { "disabled": "disabled"; "create": "create"; "columnSettings": "columnSettings"; "reactOnContainerWidthChanges": "reactOnContainerWidthChanges"; "forceResponsiveGridWidth": "forceResponsiveGridWidth"; "responsiveSensitivity": "responsiveSensitivity"; "responsiveModes": "responsiveModes"; "enableVerticalRendering": "enableVerticalRendering"; "windowWidthToRenderVertically": "windowWidthToRenderVertically"; "propertiesColumnWidth": "propertiesColumnWidth"; "valuesColumnWidth": "valuesColumnWidth"; "allowedColumnWidthPerType": "allowedColumnWidthPerType"; "singleColumnTemplate": "singleColumnTemplate"; "inherit": "inherit"; }, { "responsiveColumnHiding": "responsiveColumnHiding"; "responsiveColumnHidden": "responsiveColumnHidden"; "responsiveColumnShowing": "responsiveColumnShowing"; "responsiveColumnShown": "responsiveColumnShown"; "responsiveModeChanged": "responsiveModeChanged"; }, never, never, false>;
}
