/// <reference types="ignite-ui" />
import { ElementRef, IterableDiffers, KeyValueDiffers, ChangeDetectorRef, Renderer2, OnInit } from '@angular/core';
import { IgControlBase } from '../igcontrolbase/igcontrolbase';
import * as i0 from "@angular/core";
export declare class IgPivotDataSelectorComponent extends IgControlBase<IgPivotDataSelector> implements OnInit {
    constructor(el: ElementRef, renderer: Renderer2, differs: IterableDiffers, kvalDiffers: KeyValueDiffers, cdr: ChangeDetectorRef);
    set dataSource(value: any);
    private _dataSource;
    option(): void;
    ngOnInit(): void;
    /**
     * Updates the data source.
     */
    update(): void;
    /**
     * Destroy is part of the jQuery UI widget API and does the following:
     *                 1. Remove custom CSS classes that were added.
     *                 2. Unwrap any wrapping elements such as scrolling divs and other containers.
     *                 3. Unbind all events that were bound.
     */
    destroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IgPivotDataSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IgPivotDataSelectorComponent, "ig-pivot-data-selector", never, { "widgetId": "widgetId"; "options": "options"; "changeDetectionInterval": "changeDetectionInterval"; "disabled": "disabled"; "create": "create"; "width": "width"; "height": "height"; "dataSource": "dataSource"; "dataSourceOptions": "dataSourceOptions"; "deferUpdate": "deferUpdate"; "dragAndDropSettings": "dragAndDropSettings"; "dropDownParent": "dropDownParent"; "disableRowsDropArea": "disableRowsDropArea"; "disableColumnsDropArea": "disableColumnsDropArea"; "disableMeasuresDropArea": "disableMeasuresDropArea"; "disableFiltersDropArea": "disableFiltersDropArea"; "customMoveValidation": "customMoveValidation"; }, { "dataSelectorRendered": "dataSelectorRendered"; "dataSourceInitialized": "dataSourceInitialized"; "dataSourceUpdated": "dataSourceUpdated"; "deferUpdateChanged": "deferUpdateChanged"; "dragStart": "dragStart"; "drag": "drag"; "dragStop": "dragStop"; "metadataDropping": "metadataDropping"; "metadataDropped": "metadataDropped"; "metadataRemoving": "metadataRemoving"; "metadataRemoved": "metadataRemoved"; "filterDropDownOpening": "filterDropDownOpening"; "filterDropDownOpened": "filterDropDownOpened"; "filterMembersLoaded": "filterMembersLoaded"; "filterDropDownOk": "filterDropDownOk"; "filterDropDownClosing": "filterDropDownClosing"; "filterDropDownClosed": "filterDropDownClosed"; }, never, ["*"], false>;
}
